Skip to main content
POST
/
v1
/
environments
/
{environmentId}
/
start-hooks
/
test
/
stream
Test Start Hook (Streaming)
curl --request POST \
  --url https://api.tryreplicas.com/v1/environments/{environmentId}/start-hooks/test/stream \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>"
}
'
"<string>"

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Settings > API Keys.

Path Parameters

environmentId
string
required

Environment UUID, or the literal string global.

Body

application/json
content
string
required

Shell script to execute (not persisted)

Response

SSE stream of start hook test events

SSE events. Each event has type in {progress, output, complete, error} plus an optional message, output, exit_code, or timed_out payload.